## org.apache.fop.render.mif
Class MIFRenderer

    java.lang.Object
      |
      +--org.apache.fop.render.mif.MIFRenderer

public class MIFRenderer
extends java.lang.Object
implements Renderer

Renderer that renders areas to MIF

Field Summary
`protected int` `currentXPosition` the current horizontal position in millipoints from left
`protected int` `currentYPosition` the current vertical position in millipoints from bottom
`protected MIFDocument` `mifDoc` the MIF Document being created

Constructor Summary
`MIFRenderer()` create the MIF renderer

Method Summary
`void` `render(AreaTree areaTree, java.io.OutputStream stream)` render the areas into MIF
`void` `renderAreaContainer(AreaContainer area)` render the given area container
`void` `renderBlockArea(BlockArea area)` render the given block area
`void` `renderBodyAreaContainer(BodyAreaContainer area)` render the given area container
`void` `renderDisplaySpace(DisplaySpace space)` render the given display space
`void` `renderForeignObjectArea(ForeignObjectArea area)` render a foreign object area
`void` `renderImageArea(ImageArea area)` render the given image area
`void` `renderInlineArea(InlineArea area)` render the given inline area
`void` `renderInlineSpace(InlineSpace space)` render the given inline space
`void` `renderLeaderArea(LeaderArea area)` render the given leader area
`void` `renderLineArea(LineArea area)` render the given line area
`void` `renderPage(Page page)` render the given page
`void` `renderSpanArea(SpanArea area)` render the given span area
`void` `renderSVGArea(SVGArea area)` render the given SVG area
`void` `renderWordArea(WordArea area)` render the given inline area
`void` `setProducer(java.lang.String producer)` set the producer of the rendering
`void` `setupFontInfo(FontInfo fontInfo)` set up the given FontInfo

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentYPosition

    protected int currentYPosition

  the current vertical position in millipoints from bottom

### currentXPosition

    protected int currentXPosition

  the current horizontal position in millipoints from left

### mifDoc

    protected MIFDocument mifDoc

  the MIF Document being created

Constructor Detail

### MIFRenderer

    public MIFRenderer()

  create the MIF renderer

Method Detail

### render

    public void render(AreaTree areaTree,
                       java.io.OutputStream stream)
                throws java.io.IOException,
                       FOPException

  render the areas into MIF
  Specified by:
    render in interface Renderer
  Parameters:
    `areaTree` - the laid-out area tree
    `writer` - the PrintWriter to write the MIF with

### setupFontInfo

    public void setupFontInfo(FontInfo fontInfo)

  set up the given FontInfo
  Specified by:
    setupFontInfo in interface Renderer

### setProducer

    public void setProducer(java.lang.String producer)

  set the producer of the rendering
  Specified by:
    setProducer in interface Renderer

### renderAreaContainer

    public void renderAreaContainer(AreaContainer area)

  Description copied from interface: Renderer
  render the given area container
  Specified by:
    renderAreaContainer in interface Renderer

### renderBodyAreaContainer

    public void renderBodyAreaContainer(BodyAreaContainer area)

  Description copied from interface: Renderer
  render the given area container
  Specified by:
    renderBodyAreaContainer in interface Renderer

### renderSpanArea

    public void renderSpanArea(SpanArea area)

  Description copied from interface: Renderer
  render the given span area
  Specified by:
    renderSpanArea in interface Renderer

### renderBlockArea

    public void renderBlockArea(BlockArea area)

  render the given block area
  Specified by:
    renderBlockArea in interface Renderer

### renderDisplaySpace

    public void renderDisplaySpace(DisplaySpace space)

  render the given display space
  Specified by:
    renderDisplaySpace in interface Renderer

### renderSVGArea

    public void renderSVGArea(SVGArea area)

  render the given SVG area
  Specified by:
    renderSVGArea in interface Renderer

### renderForeignObjectArea

    public void renderForeignObjectArea(ForeignObjectArea area)

  render a foreign object area
  Specified by:
    renderForeignObjectArea in interface Renderer

### renderWordArea

    public void renderWordArea(WordArea area)

  Description copied from interface: Renderer
  render the given inline area
  Specified by:
    renderWordArea in interface Renderer

### renderImageArea

    public void renderImageArea(ImageArea area)

  render the given image area
  Specified by:
    renderImageArea in interface Renderer

### renderInlineArea

    public void renderInlineArea(InlineArea area)

  render the given inline area

### renderInlineSpace

    public void renderInlineSpace(InlineSpace space)

  render the given inline space
  Specified by:
    renderInlineSpace in interface Renderer

### renderLineArea

    public void renderLineArea(LineArea area)

  render the given line area
  Specified by:
    renderLineArea in interface Renderer

### renderPage

    public void renderPage(Page page)

  render the given page
  Specified by:
    renderPage in interface Renderer

### renderLeaderArea

    public void renderLeaderArea(LeaderArea area)

  render the given leader area
  Specified by:
    renderLeaderArea in interface Renderer

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.